JSONDIFF-JDIFF(1)

NAME
jsondiff-jdiff - Compare JSON and JSON-like structures

SYNOPSIS
jsondiff-jdiff [-s SYNTAX] [-i N] base-file target-file
jsondiff-jdiff [-s SYNTAX] [-i N] --patch base-file patch-file
jsondiff-jdiff -h

DESCRIPTION
Compares two JSON files and returns a JSON representation of the differences between them.

Differences are represented according to the specified syntax and can be pretty-printed using a specified indentation.

The --patch option can be used to instead apply the changes described by a JSON diff to a JSON file.

POSITIONAL ARGUMENTS

base-file
    The first JSON file to compare. This is the source or base file.

target-file
    The second JSON file to compare. This is the target or comparison file.

patch-file
    The jsondiff patch file to apply. Only used with --patch.

OPTIONS

-h, --help
    Show a help message and exit.

-p, --patch
    Instead of producing a difference file, apply the differences from the second file to the first file.

-s SYNTAX, --syntax SYNTAX
    Define the output syntax. The available options are "compact", "symmetric", and "explicit". The default is "compact".

-i INDENT, --indent INDENT
    Set the number of spaces for indentation in the output JSON. By default, no indentation is applied to the output JSON.